## grendel.addressbook.addresscard
Interface ICard

All Known Implementing Classes:
  AddressCard, LDAP_Card

public abstract interface ICard

Method Summary
`void` | `addAttribute(IAttribute anAttribute)` Add an attribute to the card.
`IAttribute` | `getAttribute(java.lang.String anAttributeName)` Get a value of the address card.
`IAttributeSet` | `getAttributeSet()` Get the full attribute set for this card.
`ICardSource` | `getParent()` Return the parent card source from where this card came from (if any)

Method Detail

### getParent

    public ICardSource getParent()

  Return the parent card source from where this card came from (if any)

### addAttribute

    public void addAttribute(IAttribute anAttribute)

  Add an attribute to the card.

### getAttribute

    public IAttribute getAttribute(java.lang.String anAttributeName)

  Get a value of the address card.

### getAttributeSet

    public IAttributeSet getAttributeSet()

  Get the full attribute set for this card.